Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1188576

Summary: Review Request: nodejs-create-class - A simple approach to create classes
Product: [Fedora] Fedora Reporter: anish <apatil>
Component: Package ReviewAssignee: Piotr Popieluch <piotr1212>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: anish.developer, apatil, package-review, piotr1212
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-11-14 13:36:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 201449, 956806    

Description anish 2015-02-03 09:52:24 UTC
Spec URL: https://anishpatil.fedorapeople.org/nodejs-create-class.spec
SRPM URL: https://anishpatil.fedorapeople.org/nodejs-create-class-1.0.1-1.fc21.src.rpm
Description: 
Fedora Account System UA simple approach to create classes and it supports mixins, static methods, inheritance and property descriptors 
username:anishpatil

Comment 1 Piotr Popieluch 2015-02-25 21:27:14 UTC
please add BuildRequires: nodejs-packaging and rewrap the the description to 80 chars.

Comment 2 anish 2015-02-26 05:59:31 UTC
Hi Piotr,

Thank you for your comments, please find updated spec and SRPM

Spec URL: https://anishpatil.fedorapeople.org/nodejs-create-class.spec
SRPM URL: https://anishpatil.fedorapeople.org/nodejs-create-class-1.0.1-2.fc21.src.rpm
username:anishpatil

Comment 3 Piotr Popieluch 2015-02-26 22:29:19 UTC
Hi Anish, 

Do you know why tests fail? is this a missing %nodejs_symlink_deps ?
it fails that it can't find npm(inherits)

ps. you should write
BuildRequires: nodejs-inherits
as
BuildRequires: npm(inherits)

Comment 4 anish 2015-02-27 08:14:33 UTC
Hi Piotr,

Thank you for your comments, please find new spec and srpm on 

Spec URL: https://anishpatil.fedorapeople.org/nodejs-create-class.spec
SRPM URL: https://anishpatil.fedorapeople.org/nodejs-create-class-1.0.1-3.fc21

Comment 5 Piotr Popieluch 2015-02-28 10:53:46 UTC
fedora-review didn't pick up release 3 because of incorrect srpm url, fixed:

Spec URL: https://anishpatil.fedorapeople.org/nodejs-create-class.spec
SRPM URL: https://anishpatil.fedorapeople.org/nodejs-create-class-1.0.1-3.fc21.src.rpm

Comment 6 Piotr Popieluch 2015-02-28 11:01:53 UTC
Please add exclusivearch:

https://fedoraproject.org/wiki/Packaging:Node.js?rd=Node.js/Packagers#ExclusiveArch

Comment 7 anish 2015-03-02 12:00:03 UTC
Hi Piotr,

Thank you for your review comments, please find uodated files on 

Spec URL: https://anishpatil.fedorapeople.org/nodejs-create-class.spec
SRPM URL: https://anishpatil.fedorapeople.org/nodejs-create-class-1.0.1-4.fc21.src.rpm

Comment 8 Piotr Popieluch 2015-03-08 18:26:12 UTC
please update to comply with github source guidelines:
https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Github

move license to %license
https://fedorahosted.org/fpc/ticket/411

Comment 10 Piotr Popieluch 2015-07-06 19:37:10 UTC
Hi Anish, any updates?

Comment 11 Piotr Popieluch 2015-10-17 11:53:10 UTC
This seems stalled, closing bug in one week.
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Comment 12 Piotr Popieluch 2015-11-14 13:36:50 UTC
closing.